package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglPzfz;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TbJcglPzfzMapper extends BaseMapper<TbJcglPzfz> {
    // 查询
    List<Map<String, Object>> getList(Map<String, Object> map);

    // 删除
    int deleteByPzfzId(String id);

    // 详情
    TbJcglPzfz selectPzlx(String pzlx);

    // total
    int getListCount(Map<String, Object> map);

    // 无条件
    List<Map<String, Object>> getPageListWtj(Map<String, Object> map);
}
